servertool(1)

NAME
servertool - The Java(TM) IDL Server Tool

servertool provides an ease-of-use interface for application programmers to register, unregister, startup and shutdown a server.

SYNOPSIS
servertool

The Java IDL Server Tool starts. Enter one of the options at the servertool> prompt.

DESCRIPTION
The Java(TM) IDL Server Tool, servertool provides the ease-of-use interface for the application programmers to register, unregister, startup, and shutdown a server. In addition to the above four commands, other commands are provided to obtain various statistical information about the server.

OPTIONS

register -server <server class name>
    -applicationName <alternate server name> -classpath <classpath to server> -args <args to server> -vmargs <flags to be passed to Java VM>

    Register a new server with the Object Request Broker Daemon (ORBD). If the server is not already registered, it is registered and activated.

unregister [ -serverid <server id >
    | -applicationName <name> ]

    Unregister a server from the ORBD.

getserverid [ -applicationName <name> ]
    Return the server id from the ORBD that is associated with a server.

list
    List all information about all servers registered with the Object Request Broker Daemon (ORBD). In response to this command, the server id, server name, and the corresponding server application name for each server in the ORBD is retrieved and displayed to the user.

listappnames
    List the application names for all server currently registered with the ORBD.

listactive
    List all information about all currently active servers on a machine. The active servers have been launched by the ORBD and are currently running. In response to this command, the server id, server name, and the corresponding server application name for each active server is retrieved and displayed to the user.

locate [ -serverid <server id> | -applicationName <name> ]
    [-endpointType <endpointType> ]

    Locate the endpoints (ports) of a specific type for all ORBs created by a registered server. If a server is not already running, it is activated. If an endpoint type is not specified, then the plain/non-protected endpoint associated with each ORB in a server is returned.

locateperorb [ -serverid <server id> | -application Name <name> ]
    [-orbid <ORB name> ]

    Locate all the endpoints (ports) registered by a specific ORB of registered server. If a server is not already running, then it is activated. If an orbid is not specified, the default value of "" is assigned to the orbid. If any ORBs are created with an orbid of empty string, all ports registered by it are returned.

orblist [ -serverid <server id> |
    -applicationName <name> ]

    List the integer mapping for the ORBIds. An ORBId is the string name for the ORB created by the server. When a server initializes an ORB with a particular ORBId, an integer mapping for that particular ORBId is obtained. This integer mapping is put into the object key to help in locating the correct ORB in the server during requests on the Object Request Broker Daemon (ORBD). If the server is not already running, it is activated.

shutdown [ -serverid <server id> |
    -applicationName <name> ]

    Shutdown a registered, active server. During execution of this command, the shutdown() method defined in the server application program is also invoked to shutdown the server process appropriately.

startup [ -serverid <server id> |
    -applicationName <name> ]

    Startup or activate a registered server. If the server is not running, this command launches the server. If the server is already running, an error message is returned to the user.

help
    List all the commands available to the server through the server tool.

quit
    Exit the server tool.

J  option
    Pass option to the Java virtual machine, where option is one of the options described on the man page for the java application launcher, java(1). For example, -J-Xms48m sets the startup memory to 48 megabytes. It is a common convention for -J to pass options to the underlying virtual machine.

ENVIRONMENT VARIABLES

  SEE ALSO
orbd